{
    "C_Cpp.intelliSenseEngine": "Tag Parser",
    "idf.adapterTargetName": "esp32",
    "idf.customExtraPaths": "C:\\Users\\ms\\.espressif\\tools\\xtensa-esp32-elf\\esp-2021r2-patch3-8.4.0\\xtensa-esp32-elf\\bin;C:\\Users\\ms\\.espressif\\tools\\xtensa-esp32s2-elf\\esp-2021r2-patch3-8.4.0\\xtensa-esp32s2-elf\\bin;C:\\Users\\ms\\.espressif\\tools\\xtensa-esp32s3-elf\\esp-2021r2-patch3-8.4.0\\xtensa-esp32s3-elf\\bin;C:\\Users\\ms\\.espressif\\tools\\riscv32-esp-elf\\esp-2021r2-patch3-8.4.0\\riscv32-esp-elf\\bin;C:\\Users\\ms\\.espressif\\tools\\esp32ulp-elf\\2.28.51-esp-20191205\\esp32ulp-elf-binutils\\bin;C:\\Users\\ms\\.espressif\\tools\\esp32s2ulp-elf\\2.28.51-esp-20191205\\esp32s2ulp-elf-binutils\\bin;C:\\Users\\ms\\.espressif\\tools\\cmake\\3.20.3\\bin;C:\\Users\\ms\\.espressif\\tools\\openocd-esp32\\v0.11.0-esp32-20211220\\openocd-esp32\\bin;C:\\Users\\ms\\.espressif\\tools\\ninja\\1.10.2;C:\\Users\\ms\\.espressif\\tools\\idf-exe\\1.0.3;C:\\Users\\ms\\.espressif\\tools\\ccache\\4.3\\ccache-4.3-windows-64;C:\\Users\\ms\\.espressif\\tools\\dfu-util\\0.9\\dfu-util-0.9-win64",
    "idf.customExtraVars": "{\"OPENOCD_SCRIPTS\":\"C:\\\\Users\\\\ms\\\\.espressif\\\\tools\\\\openocd-esp32\\\\v0.11.0-esp32-20211220/openocd-esp32/share/openocd/scripts\",\"IDF_CCACHE_ENABLE\":\"1\"}",
    "idf.espIdfPathWin": "C:\\Users\\ms\\esp\\esp-idf",
    "idf.espAdfPathWin": "C:\\Users\\ms\\.espressif\\esp-adf",
    "idf.openOcdConfigs": [
        "interface/ftdi/esp32_devkitj_v1.cfg",
        "target/esp32.cfg"
    ],
    "idf.portWin": "COM5",
    "idf.pythonBinPathWin": "C:\\Users\\ms\\.espressif\\python_env\\idf4.4_py3.8_env\\Scripts\\python.exe",
    "idf.toolsPathWin": "C:\\Users\\ms\\.espressif",
    "idf.flashType": "UART",
    "files.associations": {
        "esp_log.h": "c",
        "h2201_app.h": "c",
        "h2201_a2dp.h": "c",
        "h2201_i2c.h": "c",
        "adc.h": "c",
        "*.ipp": "c",
        "*.inc": "c",
        "array": "c",
        "bitset": "c",
        "string_view": "c",
        "initializer_list": "c",
        "regex": "c",
        "utility": "c",
        "bt_types.h": "c",
        "freertos.h": "c",
        "esp_hw_log.h": "c"
    }
}
